<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>New wager</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">

    <link th:href="@{/libs/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/table.css}" rel="stylesheet">
    <link th:href="@{/css/main.css}" rel="stylesheet">
</head>

<body>

<div th:insert="navbar_menu :: navbar"></div>

<div class="container">
    <div class="card">
        <div class="card-header bg-primary text-light">
            <strong>Make wager</strong>
        </div>
        <div class="card-body">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="table-responsive">
                            <form class="delete-form" th:action="@{/wagers/create}" method="post">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th>Event Title</th>
                                        <th>Event Type</th>
                                        <th>Start date</th>
                                        <th>End date</th>
                                        <th>Bet type</th>
                                        <th>Bet description</th>
                                        <th>Outcome</th>
                                        <th>Amount</th>
                                        <th>Currency</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <td>
                                        <p th:text="${sportEvent.eventTitle}"></p>
                                        <p th:text="${sportEvent.startDate}"></p>
                                    </td>
                                    <td th:text="${sportEvent.eventType}"></td>
                                    <td th:text="${sportEvent.startDate}"></td>
                                    <td th:text="${sportEvent.endDate}"></td>
                                    <td th:text="${bet.betType}"></td>
                                    <td th:text="${bet.betDescription}"></td>
                               <!--
                                    <td>
                                        <select  th:field="*{wager.outcomeOdd.id}" class="form-control">
                                            <option th:each="o : ${bet.outcomeOdds}" th:value="${o.id}"
                                                    th:text="${o.value + ' : ' + o.value}">
                                            </option>
                                            required
                                        </select>
                                    </td>
                                   -->
                                    <td>
                                        <select  th:field="*{wager.outcomeOdd.id}" class="form-control">
                                            <option th:each="o : ${outcomeOdd}" th:value="${o.id}"
                                                    th:text="${bet.betDescription + ' : ' + o.value}">
                                            </option>
                                            required
                                        </select>
                                    </td>
                                    <td>
                                        <input type="number" th:field = "*{wager.amount}" th:min="0" th:max="${user.balance}" required>
                                    </td>
                                    <td th:text="${user.currency}"></td>
                                    <td align="center">
                                        <button type="submit" class="btn btn-primary delete-btn">
                                            Save
                                        </button>
                                    </td>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/libs/jQuery/jquery.js}"></script>
<script th:src="@{/libs/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{/js/main.js}"></script>

</body>

</html>
